%{?nodejs_find_provides_and_requires}

%global packagename utfx
%global enable_tests 1

Name:		nodejs-utfx
Version:	1.0.1
Release:	4%{?dist}
Summary:	A compact library to encode, decode and convert UTF8 / UTF16

License:	ASL 2.0
URL:		https://github.com/dcodeIO/utfx
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(metascript)
%if 0%{?enable_tests}
BuildRequires:	npm(testjs)
%endif

%description
A compact library to encode, decode and convert UTF8 / UTF16 in JavaScript.


%prep
%autosetup -n package

%build
rm dist/utfx.js dist/utfx-embeddable.js
mkdir -p node_modules
ln -s %{nodejs_sitelib}/metascript node_modules/metascript
%{__nodejs} node_modules/metascript/bin/metascript src/wrap_standalone.js > dist/utfx.js
%{__nodejs} node_modules/metascript/bin/metascript src/wrap_embeddable.js > dist/utfx-embeddable.js
rm -rf node_modules

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js dist/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} tests/suite.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md utfx.png
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Sep 28 2016 Jared Smith <jsmith@fedoraproject.org> - 1.0.1-2
- Add missing BuildRequires

* Fri Jul  8 2016 Jared Smith <jsmith@fedoraproject.org> - 1.0.1-1
- Initial packaging
